com.cloudera.sqoop.lib

## Class LargeObjectLoader

- java.lang.Object
- - org.apache.sqoop.lib.LargeObjectLoader
  - - com.cloudera.sqoop.lib.LargeObjectLoader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

  Deprecated.
  use org.apache.sqoop.lib.LargeObjectLoader instead.

      public class LargeObjectLoader
      extends LargeObjectLoader

  Contains a set of methods which can read db columns from a ResultSet into Java types, and do serialization of these types to/from DataInput/DataOutput for use with Hadoop's Writable implementation. This supports null values for all types. This is a singleton instance class; only one may exist at a time. However, its lifetime is limited to the current TaskInputOutputContext's life.
  See Also:
    `LargeObjectLoader`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_MAX_LOB_LENGTH` Deprecated.
    `static java.lang.String` | `MAX_INLINE_LOB_LEN_KEY` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LargeObjectLoader(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path workPath)` Deprecated. Create a new LargeObjectLoader.

  - ### Method Summary

    - ### Methods inherited from class org.apache.sqoop.lib.LargeObjectLoader

      `close, finalize, readBlobRef, readClobRef`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_LOB_LENGTH

          public static final long DEFAULT_MAX_LOB_LENGTH

      Deprecated.
      See Also:
        Constant Field Values

    - #### MAX_INLINE_LOB_LEN_KEY

          public static final java.lang.String MAX_INLINE_LOB_LEN_KEY

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LargeObjectLoader

          public LargeObjectLoader(org.apache.hadoop.conf.Configuration conf,
                           org.apache.hadoop.fs.Path workPath)
                            throws java.io.IOException

      Deprecated.
      Create a new LargeObjectLoader.
      Parameters:
        `conf` - the Configuration to use
        `workPath` - the HDFS working directory for this task.
      Throws:
        `java.io.IOException`

Copyright © 2015 The Apache Software Foundation